<?php

class ShopItem extends Item
{
    private $cost;
    private $count;

    public function __construct($row)
    {
        parent::__construct($row);
        $this->cost = $row['cost'];
        $this->count = $row['count'];
    }

    public function printInfo()
    {
        parent::printBaseInfo();
        echo "<br>Цена" . $this->wrap($this->cost) . " пымпочек";
        if ($this->count > 0) echo "<br><small>(Осталось: {$this->count} штук)</small>";
        parent::printRequirements();
        parent::printBonuses();
    }

    /**
     * Для кнопок управления под картинкой прелмета в зависимости от ситуации.
     */
    public function printControls()
    {
        echo <<<BTN
<p><input type="button" style="background: darkgrey; border: 1px solid grey; border-radius: 2px;" value="Купить"
                                   onclick="location='/admin.php'">
BTN;
    }
}